# Fasttemplate: Build a project skeleton in seconds

[![PyPI](https://img.shields.io/pypi/v/fasttemplate?logo=python&logoColor=white)][pypi_proj]
[![PyPI - Downloads](https://img.shields.io/pypi/dm/fasttemplate?logo=python&logoColor=white)][pypi_proj]
[![PyPI - License](https://img.shields.io/pypi/l/fasttemplate?logo=open-source-initiative&logoColor=white)](https://github.com/koldakov/fasttemplate/blob/main/LICENSE.md)

Fasttemplate helps you build, create, and install Python projects in seconds,
ensuring you have only modern technologies and best practices.

## Installation

You may need to install fasttemplate globally to use it across different environments.

Keep in mind you need to have python >= 3.12.

```bash
pip install fasttemplate
```

## Usage

Create a project

```bash
fasttemplate new my-awesome-project
cd my-awesome-project
make install
git add .
git commit -m "Initial commit"
```

See available assets

```bash
fasttemplate asset --list
```

For more info check

```bash
fasttemplate --help
```

## Contribute

Any ideas are welcome in [issues](https://github.com/koldakov/fasttemplate/issues) section.

Pull requests are welcome always:

- Fork the Project
- Open a Pull Request
- Or just read here: [contributing](https://docs.github.com/en/get-started/exploring-projects-on-github/contributing-to-a-project)

I would be really happy if you add a new asset.

## License

Distributed under the MIT License. See [LICENSE.md](LICENSE.md) for more information.

<p align="right">(<a href="#top">back to top</a>)</p>

## Support

The best support would be if you give me [a star](https://github.com/koldakov/fasttemplate).

Or you can buy me a [coffee](https://buymeacoffee.com/koldakov).

## Contact

Hi,

How are you? Hope You've enjoyed the project.

There are my contacts:

- [Linkedin](https://www.linkedin.com/in/aiv/)
- [Send an Email](mailto:coldie322@gmail.com?subject=[GitHub]-qworpa)

Project Link: https://github.com/koldakov/pycountries

Best regards,

[Ivan Koldakov](https://www.linkedin.com/in/aiv/)

[pypi_proj]: https://pypi.org/project/fasttemplate/
